Bug 1489537 - [abrt] ibus: ibus_emojier_get_selected_string(): ibus-ui-gtk3 killed by SIGSEGV
Summary: [abrt] ibus: ibus_emojier_get_selected_string(): ibus-ui-gtk3 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:65e4548d7ad8895fa71a3309cb7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 16:07 UTC by mithrial
Modified: 2018-03-20 03:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 03:06:26 UTC


Attachments (Terms of Use)
File: backtrace (16.62 KB, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: cgroup (289 bytes, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: core_backtrace (12.37 KB, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: cpuinfo (1.61 KB, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: dso_list (10.56 KB, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: environ (5.16 KB, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: exploitable (100 bytes, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: maps (56.03 KB, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: open_fds (979 bytes, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details
File: var_log_messages (317 bytes, text/plain)
2017-09-07 16:07 UTC, mithrial
no flags Details

Description mithrial 2017-09-07 16:07:36 UTC
Description of problem:
I typed Ctrl+Shift+e to enter an emoji

Version-Release number of selected component:
ibus-1.5.16-6.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: ibus_emojier_get_selected_string
executable:     /usr/libexec/ibus-ui-gtk3
journald_cursor: s=fd6df7f5caa34218873213c7811a268a;i=3bc5b;b=d943800e9b9c420ba968c1564b7d3c91;m=7a5738f4e;t=5589b93a965bc;x=334d992dd60e5312
kernel:         4.12.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ibus_emojier_get_selected_string at emojier.c:5622
 #1 panel_emojier_focus_commit at panel.c:5597
 #2 panel_show_emojier at panel.c:3654
 #3 panel_handle_emoji_typing at panel.c:3684
 #4 keybinding_manager_event_handler at keybindingmanager.c:687
 #5 _keybinding_manager_event_handler_gdk_event_func at keybindingmanager.c:157
 #6 _gdk_event_emit at gdkevents.c:73
 #12 gtk_main at gtkmain.c:1322
 #13 application_run at application.c:201
 #14 application_main at application.c:272

Comment 1 mithrial 2017-09-07 16:07:42 UTC
Created attachment 1323271 [details]
File: backtrace

Comment 2 mithrial 2017-09-07 16:07:44 UTC
Created attachment 1323272 [details]
File: cgroup

Comment 3 mithrial 2017-09-07 16:07:45 UTC
Created attachment 1323273 [details]
File: core_backtrace

Comment 4 mithrial 2017-09-07 16:07:47 UTC
Created attachment 1323274 [details]
File: cpuinfo

Comment 5 mithrial 2017-09-07 16:07:48 UTC
Created attachment 1323275 [details]
File: dso_list

Comment 6 mithrial 2017-09-07 16:07:50 UTC
Created attachment 1323276 [details]
File: environ

Comment 7 mithrial 2017-09-07 16:07:51 UTC
Created attachment 1323277 [details]
File: exploitable

Comment 8 mithrial 2017-09-07 16:07:52 UTC
Created attachment 1323278 [details]
File: limits

Comment 9 mithrial 2017-09-07 16:07:54 UTC
Created attachment 1323279 [details]
File: maps

Comment 10 mithrial 2017-09-07 16:07:56 UTC
Created attachment 1323280 [details]
File: open_fds

Comment 11 mithrial 2017-09-07 16:07:57 UTC
Created attachment 1323281 [details]
File: proc_pid_status

Comment 12 mithrial 2017-09-07 16:07:58 UTC
Created attachment 1323282 [details]
File: var_log_messages

Comment 13 fujiwara 2017-09-08 06:13:57 UTC
I cannot reproduce the backtrace but I think this problem might happen and a patch could avoid it.

Comment 14 fujiwara 2017-09-14 11:00:53 UTC
The tentative patch is not agreed in upstream.

-    public string get_selected_string() {
+    public string? get_selected_string() {
+        if (!(this is IBusEmojier))
+            return null;
         return m_result;
     }

Comment 15 ompragash 2018-03-20 03:06:26 UTC
Cannot reproduce. Feel free to reopen if anyone can reproduce this issue with "How to reproduce steps".


Note You need to log in before you can comment on or make changes to this bug.